View Issue Details

IDProjectCategoryView StatusLast Update
0004028Path[FreeCAD] Bugpublic2019-08-21 20:06
Reporterbzb.dev001Assigned Todubstar_04 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version 
Summary0004028: create tool in Path workbench, parameters not accepted
DescriptionIn Path Workbench. When create a new tool using Tool Manager, modifying parameter "Length Offset" causes the cursor to be placed at end of input box for each key pressed.

I noticed that when creating a new tool, if I were to modify "Length Offset" parameter first, values entered for other parameter fields would not be accepted.

https://forum.freecadweb.org/viewtopic.php?f=3&t=37116&p=315260#p315260
https://forum.freecadweb.org/viewtopic.php?f=3&t=37117
Additional InformationOS: Ubuntu 18.04.2 LTS (LXDE/Lubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.16966 (Git) AppImage
Build type: Release
Branch: master
Hash: fbafd698aefeae2dbb5a711647346b9cac7794e9
Python version: 3.7.1
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Canada (en_CA)
TagsNo tags attached.

Activities

dubstar_04

2019-08-21 14:37

developer   ~0013440

This should be fixed with: https://github.com/FreeCAD/FreeCAD/pull/2434

Kunda1

2019-08-21 20:06

administrator   ~0013445

@mlampert please confirm fix
@bzb.dev001 if you can install 0.19_pre you can confirm the fix as well.

Related Changesets

FreeCAD: master 503ecc57

2019-08-19 03:32:29

sliptonic


Committer: GitHub Details Diff
Merge pull request 0002434 from dubstar-04/fixes/tooltable

[Path] Ensure the tool parameters are saved
Affected Issues
0004022, 0004028
mod - src/Mod/Path/PathScripts/PathToolEdit.py Diff File

Issue History

Date Modified Username Field Change
2019-06-19 08:32 bzb.dev001 New Issue
2019-08-21 14:37 dubstar_04 Note Added: 0013440
2019-08-21 16:55 dubstar_04 Assigned To => dubstar_04
2019-08-21 16:55 dubstar_04 Status new => assigned
2019-08-21 20:05 Kunda1 Changeset attached => FreeCAD master 503ecc57
2019-08-21 20:06 Kunda1 Note Added: 0013445